Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4ElectroNuclearReaction.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4ElectroNuclearReaction.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4ElectroNuclearReaction.hh	(revision 1055)
@@ -24,13 +24,11 @@
 // ********************************************************************
 //
-//
-//
-// $Id: G4ElectroNuclearReaction.hh,v 1.25 2008/09/01 19:04:54 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02 $
-//
-//
-// GEANT4 physics class: G4ElectroNuclearReaction -- header file
-// Created: J.P. Wellisch, 12/11/2001
+// $Id: G4ElectroNuclearReaction.hh,v 1.27 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+//
+// GEANT4 physics class: G4ElectroNuclearReaction -- header file for CHIPS
+// Created: J.P. Wellisch, following M. Kossov's algorithm. 12/11/2001
 // The last update: J.P. Wellisch, 06-June-02
+// 17.02.2009 M.Kossov, now it is recommended to use the G4QCollision process
 //
 #ifndef G4ElectroNuclearReaction_h
@@ -74,8 +72,8 @@
   }
 
-  virtual ~G4ElectroNuclearReaction() {};
+  virtual ~G4ElectroNuclearReaction() {delete  theStringDecay;};
     
   G4HadFinalState* ApplyYourself(const G4HadProjectile& aTrack, 
-				 G4Nucleus& aTargetNucleus);
+     G4Nucleus& aTargetNucleus);
 
 private:
@@ -94,11 +92,11 @@
 inline   
 G4HadFinalState* G4ElectroNuclearReaction::ApplyYourself(const G4HadProjectile& aTrack, 
-							 G4Nucleus& aTargetNucleus)
+        G4Nucleus& aTargetNucleus)
 {
   theResult.Clear();
-  static const G4double dM=G4Proton::Proton()->GetPDGMass()+G4Neutron::Neutron()->GetPDGMass(); // Mean double nucleon mass = m_n+m_p (@@ no binding)
-  static const G4double me=G4Electron::Electron()->GetPDGMass();      // electron mass
-  static const G4double me2=me*me;        // squared electron mass
-  static const G4double dpi=twopi; // 2*pi
+  static const G4double dM=G4Proton::Proton()->GetPDGMass()+
+    G4Neutron::Neutron()->GetPDGMass(); // MeanDoubleNucleon Mass = m_n+m_p (@@ no binding)
+  static const G4double me=G4Electron::Electron()->GetPDGMass(); // electron mass
+  static const G4double me2=me*me;                               // squared electron mass
   G4DynamicParticle theTempEl(const_cast<G4ParticleDefinition *>(aTrack.GetDefinition()), 
                               aTrack.Get4Momentum().vect());
@@ -106,6 +104,6 @@
   const G4ParticleDefinition* aD = theElectron->GetDefinition();
   if((aD != G4Electron::ElectronDefinition()) && (aD != G4Positron::PositronDefinition()))
-    throw G4HadronicException(__FILE__, __LINE__, "G4ElectroNuclearReaction::ApplyYourself called for neither electron or positron");
-  
+    throw G4HadronicException(__FILE__, __LINE__,
+        "G4ElectroNuclearReaction::ApplyYourself called for neither electron or positron");
   const G4ElementTable* aTab = G4Element::GetElementTable();
   G4Element * anElement = 0;
@@ -121,17 +119,17 @@
   if(0==anElement) 
   {
-    G4cerr<<"***G4ElectroNuclearReaction::ApplyYourself: element with Z="<<aTargetNucleus.GetZ()<<
-	  " is not in the element table"<<G4endl; // @@ how to retrieve A or N for the isotop?
+    G4cerr<<"***G4ElectroNuclearReaction::ApplyYourself: element with Z="
+          <<aTargetNucleus.GetZ()<<" is not in the element table"<<G4endl;
     throw G4HadronicException(__FILE__, __LINE__, "Anomalous element error.");
   }
 
   // Note: high energy gamma nuclear now implemented.
-  
-  G4double xSec = theElectronData.GetCrossSection(theElectron, anElement); // Check cross section
+  G4double xSec = theElectronData.GetCrossSection(theElectron, anElement);// Check XSection
   if(xSec<=0.) 
   {
     theResult.SetStatusChange(isAlive);
     theResult.SetEnergyChange(theElectron->GetKineticEnergy());
-    theResult.SetMomentumChange(theElectron->GetMomentumDirection()); // new direction for the electron
+    // new direction for the electron
+    theResult.SetMomentumChange(theElectron->GetMomentumDirection());
     return &theResult;        // DO-NOTHING condition
   }
@@ -140,13 +138,14 @@
   if( theElectronKinEnergy < photonEnergy )
   {
-    G4cout << "G4ElectroNuclearReaction::ApplyYourself: photonEnergy is very high"<<G4endl;
-    G4cout << "If this condition appears frequently, please contact Hans-Peter.Wellisch@cern.ch"<<G4endl;
-    theResult.SetStatusChange(isAlive);
-    theResult.SetEnergyChange(theElectron->GetKineticEnergy());
-    theResult.SetMomentumChange(theElectron->GetMomentumDirection()); // new direction for the electron
+    G4cout<<"G4ElectroNuclearReaction::ApplyYourself: photonEnergy is very high"<<G4endl;
+    G4cout<<">>> If this condition persists, please contact Geant4 group"<<G4endl;
+    theResult.SetStatusChange(isAlive);
+    theResult.SetEnergyChange(theElectron->GetKineticEnergy());
+    // new direction for the electron
+    theResult.SetMomentumChange(theElectron->GetMomentumDirection());
     return &theResult;        // DO-NOTHING condition
   }
   G4double photonQ2 = theElectronData.GetEquivalentPhotonQ2(photonEnergy);
-  G4double W=photonEnergy-photonQ2/dM;   // Hadronic energy flow (W-energy) from the virtual photon
+  G4double W=photonEnergy-photonQ2/dM; // Hadronic energy flow from the virtual photon
   if(getenv("debug_G4ElectroNuclearReaction") )
   {
@@ -157,11 +156,13 @@
     theResult.SetStatusChange(isAlive);
     theResult.SetEnergyChange(theElectron->GetKineticEnergy());
-    theResult.SetMomentumChange(theElectron->GetMomentumDirection()); // new direction for the electron
+    // new direction for the electron
+    theResult.SetMomentumChange(theElectron->GetMomentumDirection());
     return &theResult;        // DO-NOTHING condition
-    throw G4HadronicException(__FILE__, __LINE__, "G4ElectroNuclearReaction::ApplyYourself: negative equivalent energy");
+    throw G4HadronicException(__FILE__, __LINE__,
+                    "G4ElectroNuclearReaction::ApplyYourself: negative equivalent energy");
   }
   G4DynamicParticle* theDynamicPhoton = new 
                      G4DynamicParticle(G4Gamma::GammaDefinition(), 
-		     G4ParticleMomentum(1.,0.,0.), photonEnergy*MeV);            //->-*
+                     G4ParticleMomentum(1.,0.,0.), photonEnergy*MeV);        //----->-*
   G4double sigNu=thePhotonData.GetCrossSection(theDynamicPhoton, anElement); //       |
   theDynamicPhoton->SetKineticEnergy(W); // Redefine photon with equivalent energy    |
@@ -173,5 +174,6 @@
     theResult.SetStatusChange(isAlive);
     theResult.SetEnergyChange(theElectron->GetKineticEnergy());
-    theResult.SetMomentumChange(theElectron->GetMomentumDirection()); // new direction for the electron
+    // new direction for the electron
+    theResult.SetMomentumChange(theElectron->GetMomentumDirection());
     return &theResult; // DO-NOTHING condition
   }
@@ -180,9 +182,9 @@
   G4double iniE=theElectronKinEnergy+me; // Initial total energy of electron
   G4double finE=iniE-photonEnergy;       // Final total energy of electron
-  theResult.SetEnergyChange(std::max(0.,finE-me));    // Modifies the KINETIC ENERGY (Why not in the name?)
+  theResult.SetEnergyChange(std::max(0.,finE-me)); // Modifies the KINETIC ENERGY
   G4double EEm=iniE*finE-me2;            // Just an intermediate value to avoid "2*"
-  G4double iniP=std::sqrt(iniE*iniE-me2);     // Initial momentum of the electron
-  G4double finP=std::sqrt(finE*finE-me2);     // Final momentum of the electron
-  G4double cost=(EEm+EEm-photonQ2)/iniP/finP; // std::cos(theta) for the electron scattering
+  G4double iniP=std::sqrt(iniE*iniE-me2);          // Initial momentum of the electron
+  G4double finP=std::sqrt(finE*finE-me2);          // Final momentum of the electron
+  G4double cost=(EEm+EEm-photonQ2)/iniP/finP;// std::cos(theta) for the electron scattering
   if(cost>1.) cost=1.;
   if(cost<-1.) cost=-1.;
@@ -192,5 +194,5 @@
   G4ThreeVector orty = dir.cross(ortx);  // Second unit vector orthoganal to the direction
   G4double sint=std::sqrt(1.-cost*cost);      // Perpendicular component
-  G4double phi=dpi*G4UniformRand();      // phi of scattered electron
+  G4double phi=twopi*G4UniformRand();      // phi of scattered electron
   G4double sinx=sint*std::sin(phi);           // x-component
   G4double siny=sint*std::cos(phi);           // y-component
@@ -199,5 +201,5 @@
   G4ThreeVector photonMomentum=iniP*dir-finP*findir;
   G4DynamicParticle localGamma(G4Gamma::GammaDefinition(), photonEnergy, photonMomentum);
-  //G4DynamicParticle localGamma(G4Gamma::GammaDefinition(), photonDirection, photonEnergy);
+  //G4DynamicParticle localGamma(G4Gamma::GammaDefinition(),photonDirection, photonEnergy);
   //G4DynamicParticle localGamma(G4Gamma::GammaDefinition(), photonLorentzVector);
   G4ThreeVector position(0,0,0);
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4GammaNuclearReaction.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4GammaNuclearReaction.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4GammaNuclearReaction.hh	(revision 1055)
@@ -25,13 +25,13 @@
 //
 //
-// $Id: G4GammaNuclearReaction.hh,v 1.14 2008/09/01 17:30:42 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4GammaNuclearReaction.hh,v 1.15 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //
-// GEANT4 physics class: G4GammaNuclearReaction -- header file
-// Created: J.P. Wellisch, 2000/08/18 
+// GEANT4 physics class: G4GammaNuclearReaction - header file for CHIPS
+// Created: J.P. Wellisch, following M.Kossov's algorithm. 2000/08/18 
 // The last update: J.P. Wellisch, Thu Jun  6 2002.
 // 01.09.2008 V.Ivanchenko move inline to source and define interaction name
-//
+// 17.02.2009 M.Kossov, now it is recommended to use the G4QCollision process
 
 #ifndef G4GammaNuclearReaction_h
@@ -51,5 +51,5 @@
     
   virtual G4HadFinalState* ApplyYourself(const G4HadProjectile& aTrack, 
-					 G4Nucleus& aTargetNucleus);
+                                         G4Nucleus& aTargetNucleus);
 
 private:
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4PionMinusNuclearAtRestChips.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4PionMinusNuclearAtRestChips.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4PionMinusNuclearAtRestChips.hh	(revision 1055)
@@ -23,4 +23,5 @@
 // * acceptance of all terms of the Geant4 Software license.          *
 // ********************************************************************
+// 17.02.2009 M.Kossov, now it is recommended to use the G4QCaptureAtRest process
 //
 #ifndef G4PionMinusNuclearAtRestChips_h
@@ -43,5 +44,5 @@
   public:
  
-     G4PionMinusNuclearAtRestChips(const G4String& processName ="PionMinusAnnihilationAtRest")
+     G4PionMinusNuclearAtRestChips(const G4String& processName ="PionMinusCaptureAtRest")
       : G4VRestProcess (processName, fHadronic) 
      {
@@ -56,13 +57,13 @@
      }
 
-  // null physics table
+     // null physics table
      void BuildPhysicsTable(const G4ParticleDefinition&){}
 
      G4double AtRestGetPhysicalInteractionLength(const G4Track&track,
-						 G4ForceCondition*condition);
+       G4ForceCondition*condition);
 
-  // zero mean lifetime
+     // zero mean lifetime
      G4double GetMeanLifeTime(const G4Track& aTrack,
-			      G4ForceCondition* condition) {return 0.0;}
+         G4ForceCondition* condition) {return 0.0;}
 
      G4VParticleChange* AtRestDoIt(const G4Track&, const G4Step&); 
@@ -79,5 +80,6 @@
   if(aTrack.GetDynamicParticle()->GetDefinition() != G4PionMinus::PionMinus())
   {
-    throw G4HadronicException(__FILE__, __LINE__, "Calling G4PionMinusNuclearAtRestChips with particle other than pi-!!!");
+    throw G4HadronicException(__FILE__, __LINE__,
+                  "Calling G4PionMinusNuclearAtRestChips with particle other than pi-!!!");
   }
   
@@ -91,6 +93,5 @@
 
 G4double G4PionMinusNuclearAtRestChips::
-AtRestGetPhysicalInteractionLength(const G4Track&track,
-				   G4ForceCondition*condition)
+AtRestGetPhysicalInteractionLength(const G4Track&track, G4ForceCondition*condition)
 {
   ResetNumberOfInteractionLengthLeft();
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4PionMinusNuclearReaction.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4PionMinusNuclearReaction.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4PionMinusNuclearReaction.hh	(revision 1055)
@@ -23,5 +23,7 @@
 // * acceptance of all terms of the Geant4 Software license.          *
 // ********************************************************************
-//
+// (@@ Why only pi-, why not pi+? - Looks like a dummy CHIPS pocess - M.K.)
+// 17.02.2009 M.Kossov, now it is recommended to use the G4QCollision process
+
 #ifndef G4PionMinusNuclearReaction_h
 #define G4PionMinusNuclearReaction_h
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4ProtonAntiProtonAtRestChips.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4ProtonAntiProtonAtRestChips.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4ProtonAntiProtonAtRestChips.hh	(revision 1055)
@@ -23,5 +23,6 @@
 // * acceptance of all terms of the Geant4 Software license.          *
 // ********************************************************************
-//
+// (Why only antiproton-proton, when the antiproton-nucleus is made? - M.K.)
+// 17.02.2009 M.Kossov, now it is recommended to use the G4QCaptureAtRest process
 #ifndef G4ProtonAntiProtonAtRestChips_h
 #define G4ProtonAntiProtonAtRestChips_h
@@ -50,5 +51,6 @@
   public:
  
-     G4ProtonAntiProtonAtRestChips(const G4String& processName ="AntiProtonAnnihilationAtRest")
+     G4ProtonAntiProtonAtRestChips(const G4String& processName=
+                                                            "AntiProtonAnnihilationAtRest")
       : G4VRestProcess (processName, fHadronic) 
      {
@@ -56,5 +58,5 @@
      }
  
-    ~G4ProtonAntiProtonAtRestChips() {}
+     ~G4ProtonAntiProtonAtRestChips() {}
 
      G4bool IsApplicable(const G4ParticleDefinition& aParticle)
@@ -67,9 +69,9 @@
 
      G4double AtRestGetPhysicalInteractionLength(const G4Track&track,
-						 G4ForceCondition*condition);
+       G4ForceCondition*condition);
 
   // zero mean lifetime
      G4double GetMeanLifeTime(const G4Track& aTrack,
-			      G4ForceCondition* condition) {return 0.0;}
+         G4ForceCondition* condition) {return 0.0;}
 
      G4VParticleChange* AtRestDoIt(const G4Track&, const G4Step&); 
@@ -92,9 +94,11 @@
   if(aTrack.GetDynamicParticle()->GetDefinition() != G4AntiProton::AntiProton())
   {
-    throw G4HadronicException(__FILE__, __LINE__, "Calling G4ProtonAntiProtonAtRestChips with particle other than p-bar!!!");
+    throw G4HadronicException(__FILE__, __LINE__,
+                "Calling G4ProtonAntiProtonAtRestChips with particle other than p-bar!!!");
   }
   if(aTargetNucleus.GetZ() != 1)
   {
-    throw G4HadronicException(__FILE__, __LINE__, "Calling G4ProtonAntiProtonAtRestChips for target other than Hydrogen!!!");
+    throw G4HadronicException(__FILE__, __LINE__,
+                "Calling G4ProtonAntiProtonAtRestChips for target other than Hydrogen!!!");
   }
   
@@ -105,5 +109,5 @@
 G4double G4ProtonAntiProtonAtRestChips::
 AtRestGetPhysicalInteractionLength(const G4Track&track,
-				   G4ForceCondition*condition)
+       G4ForceCondition*condition)
 {
   ResetNumberOfInteractionLengthLeft();
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4ProtonAntiProtonReaction.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4ProtonAntiProtonReaction.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4ProtonAntiProtonReaction.hh	(revision 1055)
@@ -23,5 +23,6 @@
 // * acceptance of all terms of the Geant4 Software license.          *
 // ********************************************************************
-//
+// (Why only antiproton-proton, when the antiproton-nucleus is made? - M.K.)
+// 17.02.2009 M.Kossov, now it is recommended to use the G4QCollision process
 #ifndef G4ProtonAntiProtonReaction_h
 #define G4ProtonAntiProtonReaction_h
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QANuANuNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QANuANuNuclearCrossSection.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QANuANuNuclearCrossSection.hh	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QANuANuNuclearCrossSection.hh,v 1.1 2007/11/01 16:09:38 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QANuANuNuclearCrossSection.hh,v 1.2 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //
@@ -33,5 +33,5 @@
 // The last update: M.V. Kossov, CERN/ITEP (Moscow) 20-DEC-2005
 //
-// Short description: this G4 singletone class calculates (nu_mu,mu) Nuclear cross section
+// Short description: this G4 singletone class calculates (an-nu,an-nu)A cross section
 // (Energy limit: E<320GeV->badExtrapolation) for a particular isotope (proportional to A)
 // ****************************************************************************************
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QANuENuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QANuENuclearCrossSection.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QANuENuclearCrossSection.hh	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QANuENuclearCrossSection.hh,v 1.1 2007/10/02 10:00:37 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QANuENuclearCrossSection.hh,v 1.2 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //
@@ -33,5 +33,5 @@
 // The last update: M.V. Kossov, CERN/ITEP (Moscow) 20-SEP-2007
 //
-// Short description: this G4 singletone class calculates (nu_e,e) Nuclear cross section
+// Short description: this G4 singletone class calculates (anu_e,e+) Nuclear cross section
 // (Energy limit: E<320GeV->badExtrapolation) for a particular isotope (proportional to A)
 // ****************************************************************************************
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QANuMuNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QANuMuNuclearCrossSection.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QANuMuNuclearCrossSection.hh	(revision 1055)
@@ -25,9 +25,9 @@
 //
 //
-// $Id: G4QANuMuNuclearCrossSection.hh,v 1.6 2006/12/01 10:57:46 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QANuMuNuclearCrossSection.hh,v 1.7 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //
-// GEANT4 physics class: G4QANuMuNuclearCrossSection -- header file
+// GEANT4 physics class: G4QANuMuNuclearCrossSection -- header file for (anu_mu,mu+)A XS
 // M.V. Kossov, CERN-ITEP(Moscow), 20-DEC-2005
 // The last update: M.V. Kossov, CERN/ITEP (Moscow) 20-DEC-2005
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QAtomicElectronScattering.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QAtomicElectronScattering.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QAtomicElectronScattering.hh	(revision 1055)
@@ -24,47 +24,28 @@
 // ********************************************************************
 //
-// $Id: G4QAtomicElectronScattering.hh,v 1.2 2006/12/13 15:45:16 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QAtomicElectronScattering.hh,v 1.3 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //      ---------------- G4QAtomicElectronScattering header ----------------
 //                 by Mikhail Kossov, December 2003.
-//  Header of G4QAtomicElectronScattering class (mu-,pi-,K-) of the CHIPS Simulation Branch in GEANT4
+// Header of G4QAtomicElectronScattering class of the CHIPS Simulation Branch in GEANT4
 // -------------------------------------------------------------------------------
-// This is a unique CHIPS class for the Nuclear Capture At Rest Prosesses.
+// This is a unique CHIPS class for the Nuclear Interactions with Atomic electrons.
 // -------------------------------------------------------------------------------
-// At present (Dec.04) only pi+/-, K+/- proton, neutron, antiproton and antineutron
-// collisions with protons are implemented, which are fundamental for the in matter
-// simulation of hadronic reactions. The interactions of the same particles with
-// nuclei are planned only. The collisions of nuclei with nuclei are possible...
-// The simulation is based on the G4QuasmonString class, which extends the CHIPS model
-// to the highest energyes, implementing the Quasmon string with the
-// String->Quasmons->Hadrons scenario of the quark-gluon string fragmentation
-// --> CHIPS is a SU(3) event generator, so it does not include reactions with the
-// heavy (c,b,t), which can be simulated only by the SU(6) QUIPS (QUark Invariant
-// Phase Space) model which is an expantion of the CHIPS.-December 2003.M.Kossov.-
-// -------------------------------------------------------------------------------
-// Algorithms: the interactions in CHIPS are described by the quark exchange (QE) process.
-// The first step is the low energy quark exchange. If as a result of the QE one or
-// both secondary hadrons are below the pi0 threshold (roughly) they are pushed to the
-// Ground State (GS) value(s). The excited (above the pi0 production threshold) hadronic
-// state is considered as a Quasmon, which is filled in the G4QuasmonVector of the
-// G4QuasmonString class. On the second step all G4Quasmons are decayed by the
-// G4Quasmon class and fiill the G4QHadronVector output. If the exchange quark is too far
-// in the rapidity space (a parameter of the G4QuasmonString class) from any of the quarks
-// of the other hadron it creates a string with the nearest in the rapidity space quark.
-// This string is converted into a Quasmon. This forces the coalescence of the residuals
-// in the another Quasmon, while the possibility exist to create more residual Quasmons
-// instead of one - one per each target-quark+projectile-antiquark(diquark) pair. This
-// possibility is tuned by the Drell-Yan pair production process. If the target (or
-// pojectile) are nuclei, then the Quasmons are created not only in vacuum, where they
-// can be fragmented by the G4Quasmon class, but in nuclear matter of the residual target
-// (or projectile). If the Quasmons are crated in nuclear matter, they are fragmented by
-// the G4QEnvironment class with the subsequent Quark Exchange nuclear fragmentation.
-// This is the planned scenario.- December 2004.Mikhail Kossov.-
-// --------------------------------------------------------------------------------
 // ****************************************************************************************
 // ********* This HEADER is temporary moved from the photolepton_hadron directory *********
 // ******* DO NOT MAKE ANY CHANGE! With time it'll move back to photolepton...(M.K.) ******
 // ****************************************************************************************
+// Short description: CHIPS is re3sponsible for photo- and lepto-nuclear
+// reactions. In particular for thr electron-nuclear reactions. At High
+// Energies the nucleons (including neutrons) and nuclear fragments can
+// interact with atomic electrons (reversed electro-nuclear reaction -
+// antilab), while they are missing the nucler-nuclear (ion-ion) reac-
+// tions. This nucleo-electron process comes "for-free" in CHIPS, as the
+// cross-sections of the interaction is known from the electro-nuclear
+// reactions. The only problem is to move the output from the antilab to
+// lab system. This is what this process is aiming to do. It can be used
+// for the ion transport in Geant4.
+// ---------------------------------------------------------------------
 
 #ifndef G4QAtomicElectronScattering_hh
@@ -116,5 +97,5 @@
   // (energy, material)
   // The previousStepSize and G4ForceCondition* are not used.
-  // This function overloads a virtual function of the base class.		      
+  // This function overloads a virtual function of the base class.        
   // It is invoked by the ProcessManager of the Particle.
  
@@ -122,5 +103,5 @@
   G4VParticleChange* PostStepDoIt(const G4Track& aTrack, const G4Step& aStep); 
   // It computes the final state of the process (at end of step),
-  // returned as a ParticleChange object.			    
+  // returned as a ParticleChange object.       
   // This function overloads a virtual function of the base class.
   // It is invoked by the ProcessManager of the Particle.
@@ -147,5 +128,5 @@
   G4QAtomicElectronScattering(const G4QAtomicElectronScattering&);
 
-		// BODY
+  // BODY
   // Static Parameters
   static G4bool   manualFlag;  // If false then standard parameters are used
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QCaptureAtRest.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QCaptureAtRest.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QCaptureAtRest.hh	(revision 1055)
@@ -24,10 +24,10 @@
 // ********************************************************************
 //
-// $Id: G4QCaptureAtRest.hh,v 1.6 2008/10/02 21:10:07 dennis Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QCaptureAtRest.hh,v 1.7 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //      ---------------- G4QCaptureAtRest header ----------------
 //                 by Mikhail Kossov, December 2003.
-//  Header of G4QCaptureAtRest class (mu-,pi-,K-) of the CHIPS Simulation Branch in GEANT4
+// Header of G4QCaptureAtRest class of the CHIPS Simulation Branch in GEANT4
 // -------------------------------------------------------------------------------
 // This is a unique CHIPS class for the Nuclear Capture At Rest Prosesses.
@@ -78,4 +78,11 @@
 // ******* DO NOT MAKE ANY CHANGE! With time it'll move back to photolepton...(M.K.) ******
 // ****************************************************************************************
+// Short Description: This is a universal process for nuclear capture
+// (including annihilation) of all negative particles (negative hadrons,
+// negative leptons: mu- & tau-). It can be used for the cold neutron
+// capture, but somebody should decide what is the probability (defined
+// by the capture cross-section and atomic material properties) to switch
+// the cold neutron to the at-rest neutron. - M.K.2009.
+// ----------------------------------------------------------------------
 
 #ifndef G4QCaptureAtRest_hh
